Bullet Collision Detection & Physics Library: btSoftBody::DeformableRigidContact Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btSoftBody::DeformableRigidContact Class Reference

`#include <btSoftBody.h>`

Inheritance diagram for btSoftBody::DeformableRigidContact:
[legend]
Collaboration diagram for btSoftBody::DeformableRigidContact:
[legend]

## Public Attributes
sCti | m_cti
btMatrix3x3 | m_c0
btVector3 | m_c1
btScalar | m_c2
btScalar | m_c3
btScalar | m_c4
btMatrix3x3 | m_c5
btMultiBodyJacobianData | jacobianData_normal
btMultiBodyJacobianData | jacobianData_t1
btMultiBodyJacobianData | jacobianData_t2
btVector3 | t1
btVector3 | t2

## Detailed Description

Definition at line 359 of file btSoftBody.h.

## Member Data Documentation

## ◆ jacobianData_normal

btMultiBodyJacobianData btSoftBody::DeformableRigidContact::jacobianData_normal

Definition at line 371 of file btSoftBody.h.

## ◆ jacobianData_t1

btMultiBodyJacobianData btSoftBody::DeformableRigidContact::jacobianData_t1

Definition at line 372 of file btSoftBody.h.

## ◆ jacobianData_t2

btMultiBodyJacobianData btSoftBody::DeformableRigidContact::jacobianData_t2

Definition at line 373 of file btSoftBody.h.

## ◆ m_c0

btMatrix3x3 btSoftBody::DeformableRigidContact::m_c0

Definition at line 363 of file btSoftBody.h.

## ◆ m_c1

btVector3 btSoftBody::DeformableRigidContact::m_c1

Definition at line 364 of file btSoftBody.h.

## ◆ m_c2

btScalar btSoftBody::DeformableRigidContact::m_c2

Definition at line 365 of file btSoftBody.h.

## ◆ m_c3

btScalar btSoftBody::DeformableRigidContact::m_c3

Definition at line 366 of file btSoftBody.h.

## ◆ m_c4

btScalar btSoftBody::DeformableRigidContact::m_c4

Definition at line 367 of file btSoftBody.h.

## ◆ m_c5

btMatrix3x3 btSoftBody::DeformableRigidContact::m_c5

Definition at line 368 of file btSoftBody.h.

## ◆ m_cti

sCti btSoftBody::DeformableRigidContact::m_cti

Definition at line 362 of file btSoftBody.h.

## ◆ t1

btVector3 btSoftBody::DeformableRigidContact::t1

Definition at line 374 of file btSoftBody.h.

## ◆ t2

btVector3 btSoftBody::DeformableRigidContact::t2

Definition at line 375 of file btSoftBody.h.

The documentation for this class was generated from the following file:

- btSoftBody.h